EZ_TermStartCommand(3)

NAME
EZ_TermStartCommand - run command in a terminal emulator.

SYNOPSIS
#include <EZ.h>

void EZ_TermStartCommand( EZ_Widget *term, char **args)
void EZ_TermStopCommand( EZ_Widget *term, int signal)
void EZ_TermSetExitHandler( EZ_Widget *term, EZ_Callback handler, void *data)

ARGUMENTS
term Specifies a terminal emulator widget.

args specifies a shell command and its arguments.

signal specifies a signal number.

handler specifies a callback procedure.

data specifies a client data to be passed to handler.

DESCRIPTION

EZ_TermStartCommand runs the specified shell command inside a terminal emulator.

EZ_TermStopCommand sends the specified signal to the command currently running in a terminal emulator.

EZ_TermSetExitHandler specifies a procedure to be executed when the shell command exits.

SEE ALSO
EZ_CreateWidgets(3)